Subject: Re: [PATCH v2 net-next 10/10] net: bridge: implement auto-normalization of MTU for hardware datapath

From: Ido Schimmel <[email-masked]>
Date: Thu, 26 Mar 2020 14:59:46 +0200

On Thu, Mar 26, 2020 at 02:34:13PM +0200, Vladimir Oltean wrote:
> On Thu, 26 Mar 2020 at 13:54, Ido Schimmel <[email-masked]> wrote:
> >
> > On Thu, Mar 26, 2020 at 01:44:51PM +0200, Vladimir Oltean wrote:
> > > On Thu, 26 Mar 2020 at 13:35, Ido Schimmel <[email-masked]> wrote:
> > > >
> 
> > > > Also, I think that having the kernel change MTU
> > > > of port A following MTU change of port B is a bit surprising and not
> > > > intuitive.
> > > >
> > >
> > > It already changes the MTU of br0, this just goes along the same path.
> >
> > Yea, but this is an established behavior already. And it applies
> > regardless if the data path is offloaded or not, unlike this change.
> >
> 
> I don't understand the 'established behavior' argument.

I meant that this behavior is always the same. There is no difference
between pre-5.7 kernels and later ones.

> And I need to make a correction regarding the fact that it applies
> regardless of whether the data path is offloaded or not.
> If the data path is offloaded, it applies, sure, but it has no effect.
> That is my issue with it.

But it does have effect. At least on switches that support L3 offload.
If the MTU of the bridge is changed, then we also change the MTU of the
corresponding router interface (RIF).